# Gets block data for a specific Litecoin block, specified by the hash of the block
curl --compressed "https://api.coinmetrics.io/v4/blockchain-v2/ltc/blocks/885f0ba526e9a683f64c8fdb83c5e8cbc0d6e74fb93f2351941ee409a924b7a8?pretty=true&api_key=<your_key>"{
"block_hash": "0000000000000000000079fca9c54dd7532d139ed258f02e3d1368e7006157d9",
"height": "758506",
"consensus_time": "2022-10-13T18:27:09.000000000Z",
"miner_time": "2022-10-13T18:57:56.000000000Z",
"n_transactions": "469",
"n_balance_updates": "7425",
"transactions": [
{
"txid": "232687100669217c7335d2b2b6f5e7ae61cc6d4c79b8b1b1c7a1fa21938422b9",
"consensus_time": "2022-10-13T18:27:09.000000000Z",
"tx_position": "3257758463819776",
"n_balance_updates": "4",
"amount": "6.34186444",
"balance_updates": [
{
"chain_sequence_number": "3257758463819776",
"account": "FEES",
"account_creation_height": "0",
"change": "-0.09186444",
"rebasing_numerator": "1",
"rebasing_denominator": "1",
"rebasing_rounding_mode": "DOWN",
"previous_balance": "0",
"new_balance": "-0.09186444",
"transaction_sequence_number": "0",
"n_debits": "758507",
"n_credits": "771183299",
"previous_debit_height": "758505",
"previous_credit_height": "758505",
"previous_chain_sequence_number": "3257754168874991"
},
{
"chain_sequence_number": "3257758463819777",
"account": "ISSUANCE",
"account_creation_height": "0",
"change": "-6.25",
"rebasing_numerator": "1",
"rebasing_denominator": "1",
"rebasing_rounding_mode": "DOWN",
"previous_balance": "-19178133.54497096",
"new_balance": "-19178139.79497096",
"transaction_sequence_number": "0",
"n_debits": "758507",
"n_credits": "0",
"previous_debit_height": "758505",
"previous_chain_sequence_number": "3257754168852481"
}
],
"min_chain_sequence_number": "3257758463819776",
"max_chain_sequence_number": "3257758463819779"
}
],
"balance_updates": [],
"parent_block_hash": "000000000000000000079a2d36f1308ea00fd26fda92fe12c5dd4e1a5b0c15e7",
"difficulty": "35610794164371.65",
"physical_size": "1075674",
"consensus_size": "3993099",
"consensus_size_limit": "4000000"
}Full blockchain entities v2
Full block
Returns a full blockchain block with all transactions and balance updates.
Results are limited to the last 30 days for Community users.
GET
/
blockchain-v2
/
{asset}
/
blocks
/
{block_hash}
# Gets block data for a specific Litecoin block, specified by the hash of the block
curl --compressed "https://api.coinmetrics.io/v4/blockchain-v2/ltc/blocks/885f0ba526e9a683f64c8fdb83c5e8cbc0d6e74fb93f2351941ee409a924b7a8?pretty=true&api_key=<your_key>"{
"block_hash": "0000000000000000000079fca9c54dd7532d139ed258f02e3d1368e7006157d9",
"height": "758506",
"consensus_time": "2022-10-13T18:27:09.000000000Z",
"miner_time": "2022-10-13T18:57:56.000000000Z",
"n_transactions": "469",
"n_balance_updates": "7425",
"transactions": [
{
"txid": "232687100669217c7335d2b2b6f5e7ae61cc6d4c79b8b1b1c7a1fa21938422b9",
"consensus_time": "2022-10-13T18:27:09.000000000Z",
"tx_position": "3257758463819776",
"n_balance_updates": "4",
"amount": "6.34186444",
"balance_updates": [
{
"chain_sequence_number": "3257758463819776",
"account": "FEES",
"account_creation_height": "0",
"change": "-0.09186444",
"rebasing_numerator": "1",
"rebasing_denominator": "1",
"rebasing_rounding_mode": "DOWN",
"previous_balance": "0",
"new_balance": "-0.09186444",
"transaction_sequence_number": "0",
"n_debits": "758507",
"n_credits": "771183299",
"previous_debit_height": "758505",
"previous_credit_height": "758505",
"previous_chain_sequence_number": "3257754168874991"
},
{
"chain_sequence_number": "3257758463819777",
"account": "ISSUANCE",
"account_creation_height": "0",
"change": "-6.25",
"rebasing_numerator": "1",
"rebasing_denominator": "1",
"rebasing_rounding_mode": "DOWN",
"previous_balance": "-19178133.54497096",
"new_balance": "-19178139.79497096",
"transaction_sequence_number": "0",
"n_debits": "758507",
"n_credits": "0",
"previous_debit_height": "758505",
"previous_chain_sequence_number": "3257754168852481"
}
],
"min_chain_sequence_number": "3257758463819776",
"max_chain_sequence_number": "3257758463819779"
}
],
"balance_updates": [],
"parent_block_hash": "000000000000000000079a2d36f1308ea00fd26fda92fe12c5dd4e1a5b0c15e7",
"difficulty": "35610794164371.65",
"physical_size": "1075674",
"consensus_size": "3993099",
"consensus_size_limit": "4000000"
}Authorizations
Query Parameters
Response
Blockchain full block.
Blockchain full block response.

